# Contribution Guidelines

Contributions are welcome! Note that this project has a [Contributor Code of Conduct](./code-of-conduct.md); by participating in this project, you agree to abide by its terms.

---

## New Links

Any and all suggestions are appreciated! Please note that suggestions are _not guaranteed to be added_. Not everything will be considered for inclusion. It is recommended to conform to the recommendations as laid out below.

It is highly recommended to meet the following requirements.

- Source code resources must:
  - Be older than 90 days
  - Have more than 50 stars
- Non-source code resources must:
  - Include at least 1 link (in the PR) to positive discussions that indicates the resource has a strong, positive community backing. For example, a [Reddit](https://reddit.com/), [Hacker News](https://news.ycombinator.com/), or [Lobster](https://lobste.rs/) post

If the resource links to source code, it is recommended for it to:

- Do one thing and do it well
- Have a free and open source software license
- Be easy to install
- Be well documented
- Have a decently active community and engaged ownership
- Use Bash directly (general CLI tools should go in a different Awesome List)

## Pull Requests

#### Ground Rules

- No duplicate links
- _Create a pull request for each individual suggestion_

#### Formatting & Style

- The pull request must be titled: `Add ITEM_NAME`
- Use the following format: `[ITEM_NAME](LINK) - DESCRIPTION.`
  - Description starts with a capital and ends with a full stop (period)
    - Try to keep it short and concise
  - No trailing whitespace
  - Check your spelling and grammar
- The item is added at the bottom (or alphabetical) of the relevant category


### Other Pull Requests

Pull requests that introduce new categories or improve the README are always welcome! In that case, feel free to disregard the given structure above.

### Updating your PR

A lot of times, making a PR adhere to the standards above can be difficult. If the maintainers notice anything that we'd like changed, we'll ask you to edit your PR before we merge it. There's no need to open a new PR, just edit the existing one. If you're not sure how to do that, [here is a guide](https://github.com/RichardLitt/knowledge/blob/master/github/amending-a-commit-guide.md) on the different ways you can update your PR so that we can merge it.
